Create a new cross-service edge.
Create a new cross-service edge.
curl --request POST \
--url https://{hostname}.gable.ai/v0/experimental/edges \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"source": {
"component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_name": "<string>",
"payload_name": "<string>",
"kind": "<string>",
"xgress_id": "<string>"
},
"destination": {
"component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_name": "<string>",
"payload_name": "<string>",
"kind": "<string>",
"xgress_id": "<string>"
},
"field_mappings": [
{
"source_field": "<string>",
"destination_field": "<string>",
"notes": "<string>"
}
],
"namespace": "<string>",
"reason": "<string>"
}
'import requests
url = "https://{hostname}.gable.ai/v0/experimental/edges"
payload = {
"source": {
"component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_name": "<string>",
"payload_name": "<string>",
"kind": "<string>",
"xgress_id": "<string>"
},
"destination": {
"component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_name": "<string>",
"payload_name": "<string>",
"kind": "<string>",
"xgress_id": "<string>"
},
"field_mappings": [
{
"source_field": "<string>",
"destination_field": "<string>",
"notes": "<string>"
}
],
"namespace": "<string>",
"reason": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {
component_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
component_name: '<string>',
payload_name: '<string>',
kind: '<string>',
xgress_id: '<string>'
},
destination: {
component_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
component_name: '<string>',
payload_name: '<string>',
kind: '<string>',
xgress_id: '<string>'
},
field_mappings: [{source_field: '<string>', destination_field: '<string>', notes: '<string>'}],
namespace: '<string>',
reason: '<string>'
})
};
fetch('https://{hostname}.gable.ai/v0/experimental/edges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"edge": {
"source": {
"component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_name": "<string>",
"payload_name": "<string>",
"kind": "<string>",
"xgress_id": "<string>"
},
"destination": {
"component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_name": "<string>",
"payload_name": "<string>",
"kind": "<string>",
"xgress_id": "<string>"
},
"field_mappings": [
{
"source_field": "<string>",
"destination_field": "<string>",
"notes": "<string>"
}
],
"id": "<string>",
"kind": "cross_service",
"namespace": "<string>"
}
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}Authorizations
Query Parameters
Optional namespace to scope the new edge.
Body
A cross-service edge connecting two components. This schema is used for both read (GET) and write (POST/PUT) operations to enable round-trip editing. Fields marked readOnly are returned by GET but ignored on POST/PUT. Fields marked writeOnly are accepted on POST/PUT but not returned in GET.
One side (source or destination) of a cross-service edge.
Show child attributes
Show child attributes
One side (source or destination) of a cross-service edge.
Show child attributes
Show child attributes
Field-level mappings captured on this edge.
1Show child attributes
Show child attributes
The namespace this edge belongs to.
Optional reason for creating or updating this edge (stored in audit trail, not returned in GET).
Response
Edge created successfully
A cross-service edge connecting two components. This schema is used for both read (GET) and write (POST/PUT) operations to enable round-trip editing. Fields marked readOnly are returned by GET but ignored on POST/PUT. Fields marked writeOnly are accepted on POST/PUT but not returned in GET.
Show child attributes
Show child attributes
